Skip to main content
Get a single busy-time-type
curl --request GET \
  --url https://api.splose.com/v1/busy-time-types/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "title": "Meeting",
  "color": "#72a2c3",
  "duration": 60,
  "note": "Daily stand-up",
  "deletedAt": "2023-07-30T09:00:00.000Z",
  "isUtilisationIncluded": false,
  "archived": false,
  "createdAt": "2023-07-30T09:00:00.000Z",
  "updatedAt": "2023-07-30T09:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
Required range: x > 0
Example:

1

Response

200 - application/json

Object with busy-time-type data.

id
integer
required

Busy time type id

Required range: x > 0
Example:

1

title
string
required

Busy time type title

Example:

"Meeting"

color
string
required

Busy time type color (hex)

Example:

"#72a2c3"

duration
number
required

Busy time type duration (minutes)

Example:

60

note
string | null
required

Busy time type note

Example:

"Daily stand-up"

deletedAt
required

Object archived date time

Example:

"2023-07-30T09:00:00.000Z"

isUtilisationIncluded
boolean | null
default:false

Whether this busy time type includes utilisation

archived
boolean | null
default:false

Whether the busy time type has been archived

createdAt

Object creation date time

Example:

"2023-07-30T09:00:00.000Z"

updatedAt

Object update date time

Example:

"2023-07-30T09:00:00.000Z"